'----------------------------------------------------
'Quellprogramm FEIGE3.BAS
'----------------------------------------------------
'Berechnung der Feigenbaum-Konstanten nach dem
'Newton-Verfahren
'----------------------------------------------------

CLS

PRINT "i", "m", "a(i)", "del(i)", "a'(i)"
PRINT "---------------------------------------";
PRINT "----------------------------"

i = 0
m = 2 ^ i
a(i) = 0
PRINT i, m, a(i)

i = 1
m = 2 ^ i
a(i) = -1       'Parameter a
d(i) = 4        'Feigenbaum-Konstante (1. Naeherung)
'Schaetzwert fuer naechstes a(i+1)
aa(i) = a(i) + (a(i) - a(i - 1)) / d(i)
PRINT i, m, a(i), d(i), aa(i)

FOR i = 2 TO 6
   m = 2 ^ i
   a = aa(i - 1)
   DO                'Schleife zur Nullstellenbestimmung
      x = 0
      x = x * x + a
      xstr = 1
      FOR k = 2 TO m               'm-te Iterierte
         xstr = 2 * x * xstr + 1       'Ableitung
         x = x * x + a                 'Funktion
      NEXT k
      a = a - x / xstr             'Newton-Naeherung
   LOOP UNTIL ABS(x) < .00001
   a(i) = a
   IF i = 2 THEN
      d(i) = 4
   ELSE
      d(i) = (a(i - 2) - a(i - 1)) / (a(i - 1) - a(i))
   END IF
   aa(i) = a(i) + (a(i) - a(i - 1)) / d(i)
   PRINT i, m, a(i), d(i), aa(i)
NEXT i

END

